# $Revision: 1.31 $, $Date: 2006/08/22 13:00:08 $
Summary:	C library with some useful data structures and routines
Summary(pl):	Biblioteka w C z uytecznymi strukturami danych i procedurami
Name:		trurlib
Version:	0.43.6
Release:	4
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.pld.org.pl/software/trurlib/%{name}-%{version}.tar.gz
# Source0-md5:	1722811fef166550220fe6cde211fada
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TRURL library contains some useful data structures and routines:
- dynamic array
- linked list (both with Perl-like interface)
- hash table
- some string functions
- xmalloc()s

and some other stuff.

%description -l pl
Biblioteka TRURL zawiera troch uytecznych struktur danych i
procedur:
- dynamiczne tablice
- listy (z interfejsem perlopodobnym)
- tablice mieszajce
- funkcje do stringw
- xmalloc() itp.

i inne.

%package devel
Summary:	trurlib headers and documentation
Summary(pl):	Pliki nagwkowe i dokumentacja trurlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Trurlib headers and documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja trurlib.

%package static
Summary:	Static trurl library
Summary(pl):	Statyczna biblioteka trurl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static trurl library.

%description static -l pl
Statyczna biblioteka trurl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shared

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/trurl

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trurlib.spec,v $
Revision 1.31  2006/08/22 13:00:08  glen
- rel 4

Revision 1.30  2006/08/21 15:04:53  darekr
- .so perms

Revision 1.29  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.28  2004/04/08 20:46:30  qboosh
- fixed build, release 3

Revision 1.27  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.26  2003/05/28 13:02:21  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:27:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2002/11/26 10:57:11  ankry
- 2nd .la file attributes massive attack

Revision 1.23  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/06/06 01:56:45  kloczek
- missing "rm -f missing" in top %build.

Revision 1.21  2002/05/31 10:30:23  gotar
- changed group to Libraries,
- release 2.

Revision 1.20  2002/05/21 23:14:51  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/04/21 15:00:16  mis
- updated to 0.43.6

Revision 1.18  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.17  2002/03/15 13:17:14  mis
- updated to 0.43.5 (fixes buggy 0.43.4 release); STBR

Revision 1.16  2002/03/13 16:36:10  mis
- updated to 0.43.4

Revision 1.15  2002/02/23 04:55:16  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/19 11:19:57  qboosh
- pl translations, cosmetics; release 3

Revision 1.11  2001/10/03 16:38:57  filon
- changed req %{name} for %{name}-devel in static
- release 2

Revision 1.10  2001/09/12 15:41:27  mis
- updated to 0.43.3

Revision 1.9  2001/08/13 19:55:47  kloczek
- release 1: spec adapterized and add added autoconf, automake to BuildRequires.

Revision 1.8  2001/08/09 23:16:48  agaran
ac-25 changes..

Revision 1.7  2001/06/10 14:22:53  mis
- updated to 0.43.2

Revision 1.6  2001/05/06 12:39:33  klakier
- adapterized

Revision 1.5  2001/04/23 23:41:51  kloczek
- version changed to 0.43.1.

Revision 1.4  2001/04/23 21:45:14  klakier
- 0.431

Revision 1.3  2000/11/28 16:14:48  kloczek
- few cosmetics.

Revision 1.2  2000/10/31 17:22:08  mis
- updated to 0.43

Revision 1.1  2000/09/25 00:00:09  mis
- initial version
